Loading...
Searching...
No Matches
juce::WebToggleButtonParameterAttachment Class Reference

## Detailed Description

An object of this class maintains a connection between a WebToggleButtonRelay and a plug-in parameter.

During the lifetime of this object it keeps the two things in sync, making it easy to connect a WebToggleButtonRelay to a parameter. When this object is deleted, the connection is broken. Make sure that your parameter and WebToggleButtonRelay are not deleted before this object!

The documentation for this class was generated from the following file:

- juce_audio_processors/utilities/juce_ParameterAttachments.h

Inheritance diagram for juce::WebToggleButtonParameterAttachment:

## Public Member Functions

| WebToggleButtonParameterAttachment (RangedAudioParameter &parameterIn, WebToggleButtonRelay &button, UndoManager *undoManager=nullptr)
| Creates a connection between a plug-in parameter and a WebToggleButtonRelay.
| ~WebToggleButtonParameterAttachment () override
| Destructor.
void | sendInitialUpdate ()
| Call this after setting up your button in the case where you need to do extra setup after constructing this attachment.

## Constructors and Destructors

## WebToggleButtonParameterAttachment()

juce::WebToggleButtonParameterAttachment::WebToggleButtonParameterAttachment | ( | RangedAudioParameter & | parameterIn,
|  | WebToggleButtonRelay & | button,
|  | UndoManager * | undoManager = nullptr )

Creates a connection between a plug-in parameter and a WebToggleButtonRelay.

Parameters

  parameterIn | The parameter to use
  button | The WebToggleButtonRelay to use
  undoManager | An optional UndoManager

References button.

## ~WebToggleButtonParameterAttachment()

juce::WebToggleButtonParameterAttachment::~WebToggleButtonParameterAttachment | ( |  | ) |

override

Destructor.

## Member Functions

## sendInitialUpdate()

void juce::WebToggleButtonParameterAttachment::sendInitialUpdate | ( |  | ) |

Call this after setting up your button in the case where you need to do extra setup after constructing this attachment.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited